%define pre c1

Summary:	Python interface to MySQL
Name:		python-mysql
Version:	1.2.3
Release:	%mkrel 0.%{pre}.8
License:	GPL
Group:		Development/Python
URL:		http://sourceforge.net/projects/mysql-python/
Source0:	http://prdownloads.sourceforge.net/mysql-python/MySQL-python-%{version}%{pre}.tar.gz
%py_requires -d
BuildRequires:	python-setuptools
BuildRequires:	mysql-devel
BuildRequires:	zlib-devel
Provides:	MySQL-python = %{version}-%{release}
Obsoletes:	MySQL-python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Python interface to MySQL-3.2 and beyond

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written by Joe
Skinner and others. However, the older version is a) not thread-friendly, b)
written for MySQL 3.21, c) apparently t actively maintained. No code from that
version is used in MySQLdb. MySQLdb is free software.

%prep
%setup -q -n MySQL-python-%{version}%{pre}

%build
env CFLAGS="%{optflags} %{?ldflags}" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README doc/*
%{python_sitearch}/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-0.c1.8.mga3
+ Revision: 379157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 dmorgan <dmorgan> 1.2.3-0.c1.7.mga1
+ Revision: 77066
- Rebuild against new mysql

* Fri Mar 04 2011 colin <colin> 1.2.3-0.c1.6.mga1
+ Revision: 64041
- imported package python-mysql

